Package it.ernytech.tdlib

## Class TdApi.ValidateOrderInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ValidateOrderInfo

Enclosing class:
  TdApi

    public static class TdApi.ValidateOrderInfo
    extends TdApi.Function

Validates the order information provided by a user and returns the available shipping options for a flexible invoice.

Returns `ValidatedOrderInfo`

### Field Summary

Fields
`boolean` `allowSave` True, if the order information can be saved.
`long` `chatId` Chat identifier of the Invoice message.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `messageId` Message identifier.
`TdApi.OrderInfo` `orderInfo` The order information, provided by the user.

### Constructor Summary

Constructors
`ValidateOrderInfo()` Default constructor.
`ValidateOrderInfo​(long chatId, long messageId, TdApi.OrderInfo orderInfo, boolean allowSave)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier of the Invoice message.

#### messageId

    public long messageId

Message identifier.

#### orderInfo

    public TdApi.OrderInfo orderInfo

The order information, provided by the user.

#### allowSave

    public boolean allowSave

True, if the order information can be saved.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ValidateOrderInfo

    public ValidateOrderInfo()

Default constructor.

#### ValidateOrderInfo

    public ValidateOrderInfo​(long chatId,
                             long messageId,
                             TdApi.OrderInfo orderInfo,
                             boolean allowSave)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier of the Invoice message.
  `messageId` - Message identifier.
  `orderInfo` - The order information, provided by the user.
  `allowSave` - True, if the order information can be saved.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR